<template>
    <dl>
        <dt>
            Label
        </dt>
        <dd>
            {{ task.label }}
        </dd>
        <dt>
            Due date
        </dt>
        <dd>
            {{ task.dueDate }}
        </dd>
        <dt>
            Status
        </dt>
        <dd>
            {{ task.status }}
        </dd>
    </dl>
</template>

<script>
import Axios from 'axios'
export default {
    data () {
        return {
            task: null
        }
    },
    mounted () {
        Axios
            .get('/api/tasks/' + $('datalist').data('task-id'))
            .then(response => (this.task = response.data))
    },
}
</script>